//Table listing status plugin
$(document).ready(function () {
    $(document).on('click',"#ListStatusLink", function () {
        $("#ListStatusSelection").slideToggle();
    });
    $("#ListStatusSelection").closest("table").on('click', function () {
        $(this).slideUp();
    });
    $(document).on('click',"#ListStatusSelection a", function () {
        $(".ListAll").prop("checked", false);
        var curr_class = $(this).attr("rel");
        $("." + curr_class).prop("checked", true);
        var ListAllCount = $(".ListAll").size();
        var ListAllCheckedCount = $(".ListAll:checked").size();
        if (parseInt(ListAllCount) == parseInt(ListAllCheckedCount)) {
            $(".ListStatusLinkCheckbox,#ListStatusLinkCheckbox").prop("checked", true);
        } else {
            $(".ListStatusLinkCheckbox,#ListStatusLinkCheckbox").prop("checked", false);
        }
        $("#ListStatusSelection").slideUp();
    });
    $(document).on('click',".ListAll", function () {
        var ListAllCount = $(".ListAll").size();
        var ListAllCheckedCount = $(".ListAll:checked").size();
        if (parseInt(ListAllCount) == parseInt(ListAllCheckedCount)) {
            $(".ListStatusLinkCheckbox,#ListStatusLinkCheckbox").prop("checked", true);
        } else {
            $(".ListStatusLinkCheckbox,#ListStatusLinkCheckbox").prop("checked", false);
        }
    });
    $(document).on('click',".ListStatusLinkCheckbox,#ListStatusLinkCheckbox", function () {
        if ($(this).prop("checked") == true) {
            $(".ListAll").prop("checked", true);
            $("#ListStatusSelection").slideUp();
        } else {
            $(".ListAll").prop("checked", false);
            $("#ListStatusSelection").slideUp();
        }
    });
    $(function () {
        if ($.browser.msie && $.browser.version.substr(0, 1) < 7) {
            var zIndexNumber = 9999;
            $('div').each(function () {
                $(this).css('zIndex', zIndexNumber);
                zIndexNumber -= 10;
            });
        }
    })
});